This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 90482 - RPMs will not install
RPMs will not install
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rpm (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 16:07 EDT by Greg Sanders
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-09 10:08:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Sanders 2003-05-08 16:07:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3) Gecko/20030312

Description of problem:
up2date locked up while trying to update system for the first time.  Attempted
to kill up2date and downloaded a couple specific packages that needed to be
upgraded asap - glibc updates.  When I attempted to install them, it reported
that /var/lib/rpm/Packages was locked.  So I followed the procedures here:
http://www.geocrawler.com/archives/3/87/2002/2/0/7971730/
in an attempt to rebuild the rpm database.
When I completed this operation, an 'rpm -qa' reported no rpms installed.
I then reinstalled rpm (nodeps) hoping that would clear things up, but to no avail.
Any ideas?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Attempt to install any rpm - all deps fail even though all software is
installed.
2.  Run 'rpm -qa' - system reports only rpm-4.0.4 is installed.
3.
    

Additional info:
Comment 1 Jeff Johnson 2003-05-08 16:25:37 EDT
What does 
    ls -al /var/lib /var/lib/rpm
say?
Comment 2 Greg Sanders 2003-05-08 16:28:11 EDT
[root@D012 rpms]# ls -al /var/lib /var/lib/rpm
/var/lib:
total 48
drwxr-xr-x   10 root     root         4096 May  8 19:40 .
drwxr-xr-x   20 root     root         4096 May  7 12:50 ..
drwxr-xr-x    2 root     root         4096 Feb  6  1996 games
-rw-r--r--    1 root     root          276 May  8 04:02 logrotate.status
drwxr-xr-x    2 root     root         4096 May 15  2000 misc
drwxr-xr-x    3 root     root         4096 Apr 30 14:54 nfs
-rw-------    1 root     root          512 May  8 19:11 random-seed
drwxr-xr-x    2 rpm      rpm          4096 May  8 19:40 rpm
drwxr-xr-x   66 root     root         4096 Apr 30 19:29 scrollkeeper
drwxr-x---    2 root     slocate      4096 May  8 19:06 slocate
drwxr-xr-x    3 root     root         4096 Apr 30 14:51 xdm
drwxr-xr-x    2 root     root         4096 May  8 19:40 xkb

/var/lib/rpm:
total 184
drwxr-xr-x    2 rpm      rpm          4096 May  8 19:40 .
drwxr-xr-x   10 root     root         4096 May  8 19:40 ..
-rw-r--r--    1 root     root        12288 May  8 19:40 Basenames
-rw-r--r--    1 root     root        12288 May  8 19:40 Conflictname
-rw-r--r--    1 root     root         8192 May  8 19:40 Dirnames
-rw-r--r--    1 root     root        12288 May  8 19:40 Filemd5s
-rw-r--r--    1 root     root        12288 May  8 19:40 Group
-rw-r--r--    1 root     root         8192 May  8 19:40 Installtid
-rw-r--r--    1 root     root        12288 May  8 19:40 Name
-rw-r--r--    1 root     root        36864 May  8 19:40 Packages
-rw-r--r--    1 root     root        12288 May  8 19:40 Providename
-rw-r--r--    1 root     root         8192 May  8 19:40 Provideversion
-rw-r--r--    1 root     root        12288 May  8 19:40 Requirename
-rw-r--r--    1 root     root         8192 May  8 19:40 Requireversion
-rw-r--r--    1 root     root        12288 May  8 19:40 Sha1header
-rw-r--r--    1 root     root        12288 May  8 19:40 Sigmd5
-rw-r--r--    1 root     root        12288 May  8 19:40 Triggername
Comment 3 Jeff Johnson 2003-05-08 16:31:24 EDT
Hmmm, there ain't nothing there.

What's in /var/lib/rpmpkgs*? There should be a list
of packages that were last known to be installed.
Comment 4 Jeff Johnson 2003-05-08 16:34:52 EDT
Sorry, /var/log/rpmpkgs* ...
Comment 5 Greg Sanders 2003-05-08 16:38:28 EDT
[root@D012 rpms]# ls -la /var/log/rpmpkgs
-rw-r--r--    1 root     root        10981 May  8 04:02 /var/log/rpmpkgs

[root@D012 rpms]# less /var/log/rpmpkgs
4Suite-0.11-2.i386.rpm
GConf-1.0.4-3.i386.rpm
LPRng-3.7.4-28.i386.rpm
MAKEDEV-3.3-1.i386.rpm
Mesa-3.4.2-10.i386.rpm
ORBit-0.5.8-4.i386.rpm
PyXML-0.6.5-4.i386.rpm
SDL-1.2.2-3.i386.rpm
SDL_image-1.2.0-3.i386.rpm
SDL_mixer-1.2.0-4.i386.rpm
SDL_net-1.2.2-1.i386.rpm
SysVinit-2.78-19.i386.rpm
VFlib2-2.25.1-20.i386.rpm
XFree86-100dpi-fonts-4.1.0-29.i386.rpm
XFree86-4.1.0-29.i386.rpm
XFree86-75dpi-fonts-4.1.0-29.i386.rpm
XFree86-ISO8859-15-100dpi-fonts-4.1.0-29.i386.rpm
XFree86-ISO8859-15-75dpi-fonts-4.1.0-29.i386.rpm
XFree86-libs-4.1.0-29.i386.rpm
XFree86-tools-4.1.0-29.i386.rpm
XFree86-twm-4.1.0-29.i386.rpm
XFree86-xdm-4.1.0-29.i386.rpm
XFree86-xfs-4.1.0-29.i386.rpm
Xaw3d-1.5-10.i386.rpm
Xconfigurator-4.9.39-2.i386.rpm
alchemist-1.0.18-1.i386.rpm
anacron-2.3-17.i386.rpm
apmd-3.0final-34.i386.rpm
arpwatch-2.1a11-10.7x.i386.rpm
arts-2.2.2-2.i386.rpm
ash-0.3.7-2.i386.rpm
asp2php-0.75.17-1.i386.rpm
asp2php-gtk-0.75.17-1.i386.rpm
at-3.1.8-23.i386.rpm
audiofile-0.2.1-2.i386.rpm
aumix-2.7-5.i386.rpm
authconfig-4.1.19-1.i386.rpm
autofs-3.1.7-21.i386.rpm
awesfx-0.4.3a-8.i386.rpm
basesystem-7.0-2.noarch.rpm
bash-2.05-8.i386.rpm
bcm5820-1.17-6.i386.rpm
bdflush-1.5-17.i386.rpm
bind-utils-9.1.3-5.i386.rpm
binutils-2.11.90.0.8-12.i386.rpm
bonobo-1.0.7-2.i386.rpm
bug-buddy-2.0.6-4.i386.rpm
bzip2-1.0.1-4.i386.rpm
bzip2-libs-1.0.1-4.i386.rpm
cdp-0.33-21.i386.rpm
chkconfig-1.2.24-1.i386.rpm
chkfontpath-1.9.5-2.i386.rpm
cipe-1.4.5-6.i386.rpm
clumanager-1.0.11-1.i386.rpm
compat-libstdc++-6.2-2.9.0.16.i386.rpm
console-tools-19990829-36.i386.rpm
control-center-1.4.0.1-18.i386.rpm
cpio-2.4.2-23.i386.rpm
cpp-2.96-108.1.i386.rpm
cracklib-2.7-12.i386.rpm
cracklib-dicts-2.7-12.i386.rpm
crontabs-1.10-1.noarch.rpm
curl-7.8-1.i386.rpm
cyrus-sasl-1.5.24-24.i386.rpm
cyrus-sasl-md5-1.5.24-24.i386.rpm
cyrus-sasl-plain-1.5.24-24.i386.rpm
dateconfig-0.7.4-7.i386.rpm
db1-1.85-7.i386.rpm
db2-2.4.14-9.i386.rpm
db3-3.3.11-5.i386.rpm
desktop-backgrounds-1.1-4.noarch.rpm
dev-3.3-1.i386.rpm
dhcpcd-1.3.18pl8-13.i386.rpm
diffutils-2.7.2-2.i386.rpm
dosfstools-2.7-1.i386.rpm
e2fsprogs-1.26-1.72.i386.rpm
ed-0.2-21.i386.rpm
eel-1.0.2-2.i386.rpm
eject-2.0.9-2.i386.rpm
esound-0.2.22-5.i386.rpm
expat-1.95.1-7.i386.rpm
fam-2.6.4-11.i386.rpm
file-3.35-2.i386.rpm
filesystem-2.1.6-2.noarch.rpm
fileutils-4.1-4.i386.rpm
findutils-4.1.7-1.i386.rpm
finger-0.17-9.i386.rpm
finger-server-0.17-9.i386.rpm
foomatic-1.1-0.20011218.3.i386.rpm
freetype-2.0.3-7.i386.rpm
ftp-0.17-12.i386.rpm
gal-0.8-6.i386.rpm
gawk-3.1.0-3.i386.rpm
gcc-2.96-108.1.i386.rpm
gcc-c++-2.96-108.1.i386.rpm
gcc-g77-2.96-108.1.i386.rpm
gcc-java-2.96-108.1.i386.rpm
gcc-objc-2.96-108.1.i386.rpm
gd-1.8.4-4.i386.rpm
gdbm-1.8.0-11.i386.rpm
gdk-pixbuf-0.11.0-9.i386.rpm
gdk-pixbuf-gnome-0.11.0-9.i386.rpm
gdm-2.2.3.1-20.i386.rpm
gedit-0.9.4-6.i386.rpm
gftp-2.0.8-2.i386.rpm
glib-1.2.10-5.i386.rpm
glibc-2.2.4-26.i686.rpm
glibc-common-2.2.4-26.i386.rpm
glibc-devel-2.2.4-26.i386.rpm
gmc-4.5.51-36.i386.rpm
gmp-3.1.1-4.i386.rpm
gnome-applets-1.4.0.1-6.i386.rpm
gnome-audio-1.4.0-1.noarch.rpm
gnome-audio-extra-1.4.0-1.noarch.rpm
gnome-core-1.4.0.4-39.i386.rpm
gnome-libs-1.2.13-16.i386.rpm
gnome-print-0.29-6.i386.rpm
gnome-utils-1.4.0-4.i386.rpm
gnome-vfs-1.0.1-18.i386.rpm
gnome-vfs-extras-0.1.3-1.i386.rpm
gnorpm-0.96-12.7x.i386.rpm
gnupg-1.0.6-3.i386.rpm
gpm-1.19.3-20.i386.rpm
gqview-0.8.1-5.i386.rpm
grep-2.4.2-7.i386.rpm
groff-1.17.2-7.0.2.i386.rpm
groff-perl-1.17.2-7.0.2.i386.rpm
grub-0.90-11.i386.rpm
gtk+-1.2.10-11.i386.rpm
gtk-engines-0.11-3.i386.rpm
gtkhtml-0.9.2-9.i386.rpm
gtop-1.0.13-4.i386.rpm
gzip-1.3-15.i386.rpm
hdparm-4.1-2.i386.rpm
hotplug-2001_04_24-11.i386.rpm
hwbrowser-0.3.5-2.noarch.rpm
imlib-1.9.13-3.7.x.i386.rpm
imlib-cfgeditor-1.9.13-3.7.x.i386.rpm
info-4.0b-3.i386.rpm
initscripts-6.47-1.i386.rpm
ipchains-1.3.10-10.i386.rpm
iproute-2.2.4-14.i386.rpm
iptables-1.2.4-2.i386.rpm
iputils-20001110-6.i386.rpm
ipvsadm-1.18-8.i386.rpm
j2re-1.4.1_02-fcs.i586.rpm
joe-2.9.6-2.i386.rpm
kbdconfig-1.9.14-1.i386.rpm
kernel-2.4.9-e.3.i686.rpm
kernel-headers-2.4.9-e.3.i386.rpm
kernel-smp-2.4.9-e.16.i686.rpm
kernel-smp-2.4.9-e.3.i686.rpm
kernel-utils-2.4-6.i386.rpm
krb5-libs-1.2.2-13.i386.rpm
krbafs-1.0.9-2.i386.rpm
ksconfig-1.9.8-4.noarch.rpm
ksymoops-2.4.1-2.i386.rpm
kudzu-0.99.36-2.i386.rpm
lam-6.5.4-1.i386.rpm
less-358-21.i386.rpm
lesstif-0.93.15-3.i386.rpm
libaio-0.3.13-3.i386.rpm
libao-0.8.0-1.i386.rpm
libcap-1.10-6.i386.rpm
libgal7-0.8-6.i386.rpm
libgcj-2.96-28.i386.rpm
libgcj-devel-2.96-28.i386.rpm
libghttp-1.0.9-2.i386.rpm
libglade-0.16-4.i386.rpm
libgnomeprint15-0.29-6.i386.rpm
libgtop-1.0.12-5.i386.rpm
libjpeg-6b-16.i386.rpm
libmng-1.0.2-1.i386.rpm
libogg-1.0rc2-1.i386.rpm
libole2-0.2.3-1.i386.rpm
libpcap-0.6.2-10.7x.i386.rpm
libpng-1.0.12-2.i386.rpm
librep-0.13.6-5.i386.rpm
librsvg-1.0.0-7.i386.rpm
libstdc++-2.96-108.1.i386.rpm
libstdc++-devel-2.96-108.1.i386.rpm
libtermcap-2.0.8-28.i386.rpm
libtiff-3.5.5-13.i386.rpm
libtool-libs-1.4-8.i386.rpm
libungif-4.1.0-9.1.i386.rpm
libunicode-0.4-6.i386.rpm
libuser-0.32-1.i386.rpm
libvorbis-1.0rc2-2.1.i386.rpm
libxml-1.8.14-2.i386.rpm
libxml2-2.4.19-2.i386.rpm
libxslt-1.0.15-2.i386.rpm
lilo-21.4.4-14.i386.rpm
locale_config-0.3.2-1.i386.rpm
lockdev-1.0.0-14.i386.rpm
logrotate-3.5.9-1.i386.rpm
logwatch-2.6-1.noarch.rpm
lokkit-0.50-6.i386.rpm
losetup-2.11g-5.i386.rpm
lsof-4.51-2.i386.rpm
m4-1.4.1-5.i386.rpm
magicdev-0.3.6-3.i386.rpm
mailcap-2.1.6-1.noarch.rpm
mailx-8.1.1-22.i386.rpm
make-3.79.1-8.i386.rpm
man-1.5i2-6.i386.rpm
mc-4.5.51-36.i386.rpm
micq-0.4.6.p1-2.i386.rpm
mikmod-3.1.6-12.i386.rpm
mingetty-0.9.4-18.i386.rpm
mkbootdisk-1.4.2-3.i386.rpm
mkinitrd-3.2.6-1.i386.rpm
mkisofs-1.10-4.i386.rpm
mktemp-1.5-11.i386.rpm
mkxauth-1.7-16.noarch.rpm
mm-1.1.3-1.i386.rpm
modutils-2.4.13-10.i386.rpm
mount-2.11g-5.i386.rpm
mouseconfig-4.23-1.i386.rpm
mozilla-0.9.9-2.2.i386.rpm
mozilla-nspr-0.9.9-2.2.i386.rpm
mozilla-nss-0.9.9-2.2.i386.rpm
mozilla-psm-0.9.9-2.2.i386.rpm
mpage-2.5.1-9.i386.rpm
mrtg-2.9.6-6.i386.rpm
nautilus-1.0.4-46.1.i386.rpm
nautilus-mozilla-1.0.4-46.1.i386.rpm
nc-1.10-11.i386.rpm
ncurses-5.2-12.i386.rpm
ncurses-devel-5.2-12.i386.rpm
ncurses4-5.0-5.i386.rpm
net-tools-1.60-3.i386.rpm
netconfig-0.8.11-7.i386.rpm
netdump-0.6.6-1.i386.rpm
netdump-server-0.6.6-1.i386.rpm
netpbm-9.14-2.i386.rpm
netpbm-progs-9.14-2.i386.rpm
newt-0.50.33-1.i386.rpm
nfs-utils-0.3.3-4.i386.rpm
nkf-1.92-6.i386.rpm
nmap-2.54BETA22-3.i386.rpm
nmap-frontend-2.54BETA22-3.i386.rpm
nscd-2.2.4-26.i386.rpm
nss_ldap-172-3.i386.rpm
ntp-4.1.0b-2.i386.rpm
ntsysv-1.2.24-1.i386.rpm
oaf-0.6.5-10.i386.rpm
openldap-2.0.21-1.i386.rpm
openldap-clients-2.0.21-1.i386.rpm
openmotif-2.1.30-11.i386.rpm
openssh-3.1p1-2.i386.rpm
openssh-askpass-3.1p1-2.i386.rpm
openssh-askpass-gnome-3.1p1-2.i386.rpm
openssh-clients-3.1p1-2.i386.rpm
openssh-server-3.1p1-2.i386.rpm
openssl-0.9.6b-17.i686.rpm
pam-0.75-29.i386.rpm
pam_krb5-1.47-1.i386.rpm
parted-1.4.16-8.i386.rpm
passwd-0.64.1-7.i386.rpm
pciutils-2.1.8-25.i386.rpm
pcre-3.4-2.i386.rpm
perl-5.6.1-26.72.4.i386.rpm
perl-CGI-2.752-26.72.4.i386.rpm
perl-CPAN-1.59_54-26.72.4.i386.rpm
perl-DB_File-1.75-26.72.4.i386.rpm
perl-DateManip-5.39-5.noarch.rpm
perl-Digest-MD5-2.13-1.i386.rpm
perl-HTML-Parser-3.25-2.i386.rpm
perl-HTML-Tagset-3.03-3.i386.rpm
perl-MIME-Base64-2.12-6.i386.rpm
perl-NDBM_File-1.75-26.72.4.i386.rpm
perl-Parse-Yapp-1.04-3.noarch.rpm
perl-Storable-0.6.11-6.i386.rpm
perl-URI-1.12-5.noarch.rpm
perl-XML-Dumper-0.4-5.noarch.rpm
perl-XML-Encoding-1.01-2.noarch.rpm
perl-XML-Grove-0.46alpha-3.noarch.rpm
perl-XML-Parser-2.30-7.i386.rpm
perl-XML-Twig-2.02-2.noarch.rpm
perl-libnet-1.0703-6.noarch.rpm
perl-libwww-perl-5.53-3.noarch.rpm
perl-libxml-enno-1.02-5.noarch.rpm
perl-libxml-perl-0.07-5.noarch.rpm
php-4.0.6-16.i386.rpm
php-ldap-4.0.6-16.i386.rpm
pidentd-3.0.14-1.i386.rpm
popt-1.6.4-7x.20.i386.rpm
portmap-4.0-38.i386.rpm
printconf-0.3.61-3.i386.rpm
printconf-gui-0.3.61-3.i386.rpm
procmail-3.21-1.i386.rpm
procps-2.0.7-11.i386.rpm
psmisc-20.1-2.i386.rpm
psutils-1.17-13.i386.rpm
pvm-3.4.3-28.i386.rpm
pvm-gui-3.4.3-28.i386.rpm
pwdb-0.61.1-3.i386.rpm
pygnome-1.4.1-3.i386.rpm
pygnome-libglade-1.4.1-3.i386.rpm
pygtk-0.6.8-3.i386.rpm
pygtk-libglade-0.6.8-3.i386.rpm
python-1.5.2-38.i386.rpm
python-popt-0.8.8-7.x.2.i386.rpm
python-xmlrpc-1.5.1-7.x.3.i386.rpm
qt-2.3.1-5.i386.rpm
quota-3.01pre9-3.i386.rpm
radvd-0.6.2pl4-1.i386.rpm
raidtools-1.00.2-1.2.i386.rpm
rdate-1.0-8.i386.rpm
rdist-6.1.5-16.i386.rpm
readline-4.2-2.i386.rpm
redhat-config-network-0.9.10-2.1.noarch.rpm
redhat-config-users-0.9.2-6.noarch.rpm
redhat-logos-1.1.3-1.noarch.rpm
redhat-release-as-2.1AS-4.noarch.rpm
reiserfs-utils-3.x.0j-3.i386.rpm
rep-gtk-0.15-6.i386.rpm
rep-gtk-gnome-0.15-6.i386.rpm
rep-gtk-libglade-0.15-6.i386.rpm
rhn_register-2.7.9-7.x.2.i386.rpm
rhn_register-gnome-2.7.9-7.x.2.i386.rpm
rmt-0.4b25-1.72.0.i386.rpm
rootfiles-7.2-1.noarch.rpm
rpm-4.0.4-7x.20.i386.rpm
rpm-python-4.0.4-7x.20.i386.rpm
rsh-0.17-5.i386.rpm
rsh-server-0.17-5.i386.rpm
rsync-2.4.6-13.i386.rpm
rusers-0.17-12.i386.rpm
rusers-server-0.17-12.i386.rpm
rwall-server-0.17-10.i386.rpm
rwho-0.17-11.i386.rpm
sawfish-0.38-11.i386.rpm
scrollkeeper-0.2-6.i386.rpm
sed-3.02-10.i386.rpm
sendmail-8.11.6-9.72.1.i386.rpm
sendmail-cf-8.11.6-9.72.1.i386.rpm
serviceconf-0.6.6-1.noarch.rpm
setserial-2.17-4.i386.rpm
setup-2.5.7-1.noarch.rpm
setuptool-1.8-2.i386.rpm
sh-utils-2.0.11-5.i386.rpm
shadow-utils-20000902-5.i386.rpm
slang-1.4.4-4.i386.rpm
slocate-2.6-1.i386.rpm
smpeg-0.4.4-3.i386.rpm
sndconfig-0.65.2-1.i386.rpm
squid-2.4.STABLE6-1.7.2.i386.rpm
statserial-1.1-23.i386.rpm
stunnel-3.22-1.i386.rpm
switchdesk-3.9.7-1.i386.rpm
switchdesk-gnome-3.9.7-1.i386.rpm
sysklogd-1.4.1-4.i386.rpm
syslinux-1.52-2.i386.rpm
sysstat-4.0.1-2.i386.rpm
talk-0.17-12.i386.rpm
talk-server-0.17-12.i386.rpm
tar-1.13.19-6.i386.rpm
tcl-8.3.3-65.i386.rpm
tcp_wrappers-7.6-19.i386.rpm
tcpdump-3.6.2-10.7x.i386.rpm
tcsh-6.10-6.i386.rpm
telnet-0.17-20.i386.rpm
telnet-server-0.17-20.i386.rpm
termcap-11.0.1-10.noarch.rpm
textutils-2.0.14-2.i386.rpm
time-1.7-14.i386.rpm
timeconfig-3.2.2-1.i386.rpm
tix-8.2.0b1-65.i386.rpm
tk-8.3.3-65.i386.rpm
tkinter-1.5.2-38.i386.rpm
tmpwatch-2.8.1-1.i386.rpm
traceroute-1.4a12-1.i386.rpm
ttfonts-1.0-4.noarch.rpm
ttfonts-ja-1.0-8.noarch.rpm
tux-2.2.4-1.i386.rpm
ucd-snmp-4.2.4-1.i386.rpm
ucd-snmp-utils-4.2.4-1.i386.rpm
umb-scheme-3.2-21.i386.rpm
unzip-5.42-1.i386.rpm
up2date-2.7.61-7.x.2.i386.rpm
up2date-gnome-2.7.61-7.x.2.i386.rpm
urw-fonts-2.0-12.noarch.rpm
usermode-1.46-1.i386.rpm
utempter-0.5.2-6.i386.rpm
util-linux-2.11f-17.1.i386.rpm
vim-common-6.0-7.13.i386.rpm
vim-minimal-6.0-7.13.i386.rpm
vixie-cron-3.0.1-63.i386.rpm
vnc-3.3.3r2-18.4.i386.rpm
vnc-server-3.3.3r2-18.4.i386.rpm
watanabe-vf-1.0-5.noarch.rpm
wget-1.7-3.i386.rpm
which-2.12-3.i386.rpm
whois-1.0.9-1.i386.rpm
words-2-17.noarch.rpm
wu-ftpd-2.6.2-8.i386.rpm
xawtv-3.54-5.i386.rpm
xinetd-2.3.3-1.i386.rpm
xinitrc-3.20-1.noarch.rpm
xmms-1.2.5-7.i386.rpm
xmms-gnome-1.2.5-7.i386.rpm
xscreensaver-3.33-4.i386.rpm
zip-2.3-10.i386.rpm
zlib-1.1.3-25.7.i386.rpm
Comment 6 Jeff Johnson 2003-05-08 16:46:20 EDT
OK, that's what was on the box when cron last ran rpm -qa
(check the file time stamp).

You have 2 choices:

1) Find all those packages and reinstall using -Uvh but adding
    --justdb --noscripts --notriggers --nodeps --noorder

2) Grab a copy of the closest similar database (you can use
   /usr/lib/rpmdb/*/redhat/Packages) and work backwards to
   the known set, basically by doing
        rpm -e --justdb
   for everything that's not mentioned.

In both cases, looking at the output of rpm -Va is recommended after
you're finished.

Does that get you started?
Comment 7 Jeff Johnson 2003-05-08 16:49:04 EDT
BTW, you should be able to install the rpmdb-redhat package
to get a copy using --nodeps. Any similar machine /var/lib/rpm
will do as well. All you really need is Packages, everything
else is recreated with --rebuilddb.
Comment 8 Greg Sanders 2003-05-08 16:54:49 EDT
I don't have a /usr/lib/rpmdb ... just /usr/lib/rpm which contains...

[root@D012 rpm]# find . -depth -print | more
./athlon-redhat-linux/macros
./athlon-redhat-linux
./athlon-linux
./i386-redhat-linux/macros
./i386-redhat-linux
./config.guess
./config.sub
./convertrpmrc.sh
./i386-linux
./i486-redhat-linux/macros
./i486-redhat-linux
./i486-linux
./i586-redhat-linux/macros
./i586-redhat-linux
./i586-linux
./i686-redhat-linux/macros
./i686-redhat-linux
./i686-linux
./mkinstalldirs
./macros
./noarch-redhat-linux
./noarch-linux
./rpmpopt-4.0.4
./rpm.daily
./rpm.log
./rpm.xinetd
./rpm2cpio.sh
./rpmd
./rpme
./rpmi
./rpmk
./rpmq
./rpmrc
./rpmu
./rpmv
.
Comment 9 Jeff Johnson 2003-05-09 10:08:31 EDT
Yes, you don't have /usr/lib/rpmdb because you have
not installed the rpmdb-redhat package.

Either install, or use a copy of /var/lib/rpm/Packages
from another machine, and then iterate until you have
the same packages installed in the database as before.
Comment 10 Greg Sanders 2003-05-09 10:13:39 EDT
So I went ahead and did it the "hard way" by "re-installing" all the packages.

Copied the contents of /mnt/cdrom/Redhat/RPMS/ for discs 1,2 and 3 to a 
temporary location on the hard drive.  Wrote a one line script that ran the rpm 
install (with the flags you reccommended) for each line in the copy 
of /var/log/rpmpkgs I had made and within 30 minutes total everything was back 
to normal.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.